## org.eclipse.datatools.enablement.sybase.asa.catalog
Class SybaseASACatalogUtils

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.catalog.SybaseASACatalogUtils

    public class SybaseASACatalogUtils

extends java.lang.Object

Constructor Summary
`SybaseASACatalogUtils()`

Method Summary
`static java.util.List` `addOperationNamesToCatalog(java.sql.ResultSet storedProcs)`
`static void` `cleanupJDBCResouce(java.sql.ResultSet rs, java.sql.Statement stmt)`
`static java.lang.Object` `findElement(java.util.Collection collection, java.lang.String name)`
`static java.lang.Object` `findElement(java.util.Collection collection, java.lang.String name, org.eclipse.emf.ecore.EClass metaclass)`
`static PredefinedDataType` `getASAPredefinedType(int width, int scale, java.lang.String typeName, DatabaseDefinition databaseDefinition)`
`static char` `getCharValue(java.lang.String value)`
`static java.util.List` `getDBDatatypes(java.lang.String ctg, java.sql.Connection cnxn)`
`static PredefinedDataType` `getPredefinedRepresentation(DataType datatype)`
`static java.util.List` `getSpecifiedColumns(java.lang.String colListStr, java.util.Collection columnList)`
`static Domain` `getSpecifiedUserDefinedDatatype(Database database, java.lang.String typeName)`
`static boolean` `getSPMetaData(java.sql.Connection cxn, java.lang.String catalog, java.lang.String schema, java.lang.String spName)`
`static java.sql.ResultSet` `getStoredProcs(java.lang.String ctg_nm, java.lang.String sch_nm, java.lang.String proc_nm, java.sql.Connection cnxn)` Return a ResultSet object representing the stored procedures on the database visible to this connection
`static java.sql.ResultSet` `getTables(java.lang.String ctg_nm, java.lang.String sch_nm, java.lang.String table_nm, java.sql.Connection cnxn)` Return a ResultSet object representing the stored procedures on the database visible to this connection
`static boolean` `isBinaryType(DataType datatype)`
`static boolean` `isDateType(DataType datatype)`
`static boolean` `isNumericType(DataType datatype)`
`static boolean` `isStringType(DataType datatype)`
`static boolean` `isSystemDefault(java.lang.String defaultValue)`
`static boolean` `isTimeType(DataType datatype)`
`static java.util.List` `parseColumnList(java.lang.String columnListStr)`
`static java.util.List` `parseOrderList(java.lang.String orderListStr)` Parse the order
`static void` `parseView(ViewTable view, java.lang.String viewText)`
`static java.lang.String` `retrieveRoutineObjectCode(java.sql.Connection conn, java.lang.String schemaName, java.lang.String routineName)`
`static java.lang.String` `retrieveTriggerObjectCode(java.sql.Connection conn, java.lang.String tableSchemaName, java.lang.String tableName, java.lang.String schemaName, java.lang.String routineName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASACatalogUtils

    public SybaseASACatalogUtils()

Method Detail

### getDBDatatypes

    public static java.util.List getDBDatatypes(java.lang.String ctg,
                                                java.sql.Connection cnxn)
                                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getStoredProcs

    public static java.sql.ResultSet getStoredProcs(java.lang.String ctg_nm,
                                                    java.lang.String sch_nm,
                                                    java.lang.String proc_nm,
                                                    java.sql.Connection cnxn)
                                             throws java.sql.SQLException

  Return a ResultSet object representing the stored procedures on the database visible to this connection

  Returns:
    java.sql.ResultSet - the stored procedures
  Throws:
    `java.sql.SQLException`

### addOperationNamesToCatalog

    public static java.util.List addOperationNamesToCatalog(java.sql.ResultSet storedProcs)
                                                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getTables

    public static java.sql.ResultSet getTables(java.lang.String ctg_nm,
                                               java.lang.String sch_nm,
                                               java.lang.String table_nm,
                                               java.sql.Connection cnxn)
                                        throws java.sql.SQLException

  Return a ResultSet object representing the stored procedures on the database visible to this connection

  Returns:
    java.sql.ResultSet - the stored procedures
  Throws:
    `java.sql.SQLException`

### getSPMetaData

    public static boolean getSPMetaData(java.sql.Connection cxn,
                                        java.lang.String catalog,
                                        java.lang.String schema,
                                        java.lang.String spName)

### retrieveRoutineObjectCode

    public static java.lang.String retrieveRoutineObjectCode(java.sql.Connection conn,
                                                             java.lang.String schemaName,
                                                             java.lang.String routineName)
                                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### retrieveTriggerObjectCode

    public static java.lang.String retrieveTriggerObjectCode(java.sql.Connection conn,
                                                             java.lang.String tableSchemaName,
                                                             java.lang.String tableName,
                                                             java.lang.String schemaName,
                                                             java.lang.String routineName)
                                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### cleanupJDBCResouce

    public static void cleanupJDBCResouce(java.sql.ResultSet rs,
                                          java.sql.Statement stmt)

### findElement

    public static java.lang.Object findElement(java.util.Collection collection,
                                               java.lang.String name)

### findElement

    public static java.lang.Object findElement(java.util.Collection collection,
                                               java.lang.String name,
                                               org.eclipse.emf.ecore.EClass metaclass)

### getSpecifiedColumns

    public static java.util.List getSpecifiedColumns(java.lang.String colListStr,
                                                     java.util.Collection columnList)

### parseColumnList

    public static java.util.List parseColumnList(java.lang.String columnListStr)

### getCharValue

    public static char getCharValue(java.lang.String value)

### getASAPredefinedType

    public static PredefinedDataType getASAPredefinedType(int width,
                                                          int scale,
                                                          java.lang.String typeName,
                                                          DatabaseDefinition databaseDefinition)
                                                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### isSystemDefault

    public static boolean isSystemDefault(java.lang.String defaultValue)

### getSpecifiedUserDefinedDatatype

    public static Domain getSpecifiedUserDefinedDatatype(Database database,
                                                         java.lang.String typeName)

### parseView

    public static void parseView(ViewTable view,
                                 java.lang.String viewText)

### parseOrderList

    public static java.util.List parseOrderList(java.lang.String orderListStr)

  Parse the order

  Parameters:
    `orderListStr` -
  Returns:

### getPredefinedRepresentation

    public static PredefinedDataType getPredefinedRepresentation(DataType datatype)

### isNumericType

    public static boolean isNumericType(DataType datatype)

### isStringType

    public static boolean isStringType(DataType datatype)

### isTimeType

    public static boolean isTimeType(DataType datatype)

### isDateType

    public static boolean isDateType(DataType datatype)

### isBinaryType

    public static boolean isBinaryType(DataType datatype)